AbstractMethodTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net.httpclient

## Class AbstractMethodTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.net.httpclient.AbstractMethodTask

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    GetMethodTask, HeadMethodTask, PostMethodTask

      public abstract class AbstractMethodTask
      extends org.apache.tools.ant.Task

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractMethodTask.ResponseHeader`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMethodTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredHeader(org.apache.commons.httpclient.Header header)`
    `void` | `addConfiguredHttpClient(HttpClientType httpClientType)`
    `void` | `addConfiguredParams(MethodParams params)`
    `void` | `addConfiguredResponseHeader(AbstractMethodTask.ResponseHeader responseHeader)`
    `protected void` | `cleanupResources(org.apache.commons.httpclient.HttpMethodBase method)`
    `protected void` | `configureMethod(org.apache.commons.httpclient.HttpMethodBase method)`
    `protected org.apache.commons.httpclient.HttpMethodBase` | `createMethodIfNecessary()`
    `protected abstract org.apache.commons.httpclient.HttpMethodBase` | `createNewMethod()`
    `void` | `execute()`
    `void` | `setClientRefId(java.lang.String clientRefId)`
    `void` | `setDoAuthentication(boolean doAuthentication)`
    `void` | `setFollowRedirects(boolean doFollowRedirects)`
    `void` | `setPath(java.lang.String path)`
    `void` | `setQueryString(java.lang.String queryString)`
    `void` | `setResponseDataFile(java.io.File responseDataFile)`
    `void` | `setResponseDataProperty(java.lang.String responseDataProperty)`
    `void` | `setStatusCodeProperty(java.lang.String statusCodeProperty)`
    `void` | `setURL(java.lang.String url)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMethodTask

          public AbstractMethodTask()

  - ### Method Detail

    - #### createNewMethod

          protected abstract org.apache.commons.httpclient.HttpMethodBase createNewMethod()

    - #### configureMethod

          protected void configureMethod(org.apache.commons.httpclient.HttpMethodBase method)

    - #### cleanupResources

          protected void cleanupResources(org.apache.commons.httpclient.HttpMethodBase method)

    - #### addConfiguredResponseHeader

          public void addConfiguredResponseHeader(AbstractMethodTask.ResponseHeader responseHeader)

    - #### addConfiguredHttpClient

          public void addConfiguredHttpClient(HttpClientType httpClientType)

    - #### createMethodIfNecessary

          protected org.apache.commons.httpclient.HttpMethodBase createMethodIfNecessary()

    - #### setResponseDataFile

          public void setResponseDataFile(java.io.File responseDataFile)

    - #### setResponseDataProperty

          public void setResponseDataProperty(java.lang.String responseDataProperty)

    - #### setStatusCodeProperty

          public void setStatusCodeProperty(java.lang.String statusCodeProperty)

    - #### setClientRefId

          public void setClientRefId(java.lang.String clientRefId)

    - #### setDoAuthentication

          public void setDoAuthentication(boolean doAuthentication)

    - #### setFollowRedirects

          public void setFollowRedirects(boolean doFollowRedirects)

    - #### addConfiguredParams

          public void addConfiguredParams(MethodParams params)

    - #### setPath

          public void setPath(java.lang.String path)

    - #### setURL

          public void setURL(java.lang.String url)

    - #### setQueryString

          public void setQueryString(java.lang.String queryString)

    - #### addConfiguredHeader

          public void addConfiguredHeader(org.apache.commons.httpclient.Header header)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`